var path       = require('path');
var ENVINPUT={
  DB_HOST:process.env.DB_HOST,
  DB_PORT:process.env.DB_PORT,
  DB_USER:process.env.DB_USER,
  DB_PWD:process.env.DB_PWD,
  DB_NAME:process.env.PAAS_DB_NAME,
  REDIS_HOST:process.env.REDIS_HOST,
  REDIS_PORT:process.env.REDIS_PORT,
  REDIS_PWD:process.env.REDIS_PWD,

  DB_NAME:process.env.PM_DB_NAME,
  REDIS_DB:process.env.PM_REDIS_DB,
  APP_ENV:process.env.APP_ENV?process.env.APP_ENV:"dev"
};
var settings = {
  env:ENVINPUT.APP_ENV,
  appKey:"38f64854859146db999778f5d941c1bd",
  paasKey:"wx76a324c5d201d1a4",
  secret:"5dfd328901d4478b98ce62f7a07f6c67",
  //为了直接从应用客户端登录,需要查询出当前用户所在公司
  //如果有这个配置，就表示支持从应用自己的客户端登录或注册
  // companyKey:"af4dfb53282d4743866259e0b15b134e",
  companyKey:"2a7aaedd15184e109891d9ecefd78bfc",
  salt: "%iatpD1gcxz7iF#B",
  basepath   : path.normalize(path.join(__dirname, '../..')),
  port       : process.env.NODE_PORT || 3004,
  paasUrl:function(){
    if(this.env=="dev"){
      return "http://p.apps.com:4001/";
    }else {
      return "http://open.gongsibao.com/";
    }
  },
  reqEsAddr:function(){
    if(this.env=="dev"){
      var localsettings=require("./localsettings");
      return "http://43.247.184.94:7200/";//localsettings.reqEsDevUrl;
    }else {
      return "http://43.247.184.94:7200/";
    }
  },
  apiconfig:{
    opLogUrl:function(){
      return settings.reqEsAddr()+"bigdata_zc_op_log/_doc?pretty";
    },
    opLogEsIsAdd:function(){
      return 1;
    },
  },
  redis:function(){
    if(this.env=="dev"){
      var localsettings=require("./localsettings");
      return localsettings.redis;
    }else {
      return {
        host:ENVINPUT.REDIS_HOST,
        port:ENVINPUT.REDIS_PORT,
        password:ENVINPUT.REDIS_PWD,
        db:ENVINPUT.REDIS_DB,
      };
    }
  },
  database:function(){
    if(this.env=="dev"){
      var localsettings=require("./localsettings");
      return  localsettings.database;
    }else{
      return {
       dbname : ENVINPUT.DB_NAME,
       user     : ENVINPUT.DB_USER,
       password : ENVINPUT.DB_PWD,
       config   : {
           host: ENVINPUT.DB_HOST,
           dialect: 'mysql',
           operatorsAliases: false,
           pool: {
             max: 5,
             min: 0,
             acquire: 90000000,
             idle: 1000000
           },
           debug:false,
           dialectOptions:{
               requestTimeout: 999999,
               // instanceName:'DEV'
           }  //设置MSSQL超时时间
       },
     };
    }
  }
};
settings.ENVINPUT=ENVINPUT;
module.exports = settings;
